I=(S=Uno.Graphics.OpenGL.Tools = function(){
}).prototype;

S.CheckGLError = function()
{
    var err = gl.getError();

    if (err != 0)
    {
        throw Uno.Exception.$0("GL ERROR");
    }
};

S.CheckGLFramebufferStatus = function()
{
    var status = gl.checkFramebufferStatus(36160);

    if (status != 36053)
    {
        throw Uno.Exception.$0("GL INCOMPLETE FRAMEBUFFER");
    }
};
